pkgbase = nvidia-535xx-utils
	pkgdesc = NVIDIA drivers utilities (535.xx version)
	pkgver = 535.54.03
	pkgrel = 1
	url = https://www.nvidia.com/
	arch = x86_64
	license = custom
	options = !strip
	source = https://us.download.nvidia.com/XFree86/Linux-x86_64/535.54.03/NVIDIA-Linux-x86_64-535.54.03.run
	source = nvidia-drm-outputclass.conf
	source = nvidia-utils.sysusers
	source = nvidia.rules
	source = 120-nvidia-settings-change-desktop-paths.patch
	sha256sums = 454764f57ea1b9e19166a370f78be10e71f0626438fb197f726dc3caf05b4082
	sha256sums = be99ff3def641bb900c2486cce96530394c5dc60548fc4642f19d3a4c784134d
	sha256sums = d8d1caa5d72c71c6430c2a0d9ce1a674787e9272ccce28b9d5898ca24e60a167
	sha256sums = 4fbfd461f939f18786e79f8dba5fdb48be9f00f2ff4b1bb2f184dbce42dd6fc3
	sha256sums = 6f0f4a23706241e9e37e0fe30a09bd30ca29bb446d8fe7861cb4959f0a010ef4

pkgname = nvidia-535xx-utils
	install = nvidia-utils.install
	depends = xorg-server
	depends = libglvnd
	depends = egl-wayland
	optdepends = nvidia-535xx-settings: for the configuration tool
	optdepends = xorg-server-devel: for nvidia-xconfig
	optdepends = opencl-nvidia-535xx: for OpenCL support
	provides = nvidia-utils=535.54.03
	provides = vulkan-driver
	provides = opengl-driver
	provides = nvidia-libgl=535.54.03
	conflicts = nvidia-utils
	conflicts = nvidia-libgl
	replaces = nvidia-libgl

pkgname = opencl-nvidia-535xx
	pkgdesc = OpenCL implemention for NVIDIA (535.xx version)
	depends = zlib
	depends = nvidia-535xx-utils>=535.54.03
	optdepends = opencl-headers: headers necessary for OpenCL development
	provides = opencl-nvidia=535.54.03
	provides = opencl-driver
	conflicts = opencl-nvidia

pkgname = nvidia-535xx-settings
	pkgdesc = Tool for configuring the NVIDIA graphics driver (535.xx version)
	depends = nvidia-535xx-utils>=535.54.03
	depends = gtk3
	provides = nvidia-settings=535.54.03
	conflicts = nvidia-settings
